/// <reference types="node" resolution-mode="require"/>
declare type TestFn = (name: string) => boolean;
export declare type ContentTypeDef = {
    test: RegExp | TestFn;
    type: string;
    binary?: boolean;
};
export declare type ContentTypeMatch = {
    type: string;
    binary: boolean;
};
export declare type DefaultContentTypesModule = {
    mergeContentTypes: (contentTypes: ContentTypeDef[]) => ContentTypeDef[];
    testFileContentType: (contentTypes: ContentTypeDef[], file: string) => ContentTypeMatch;
};
export declare type Asset = {
    contentType: string;
    content: Buffer | string;
    module: unknown | null;
    isStatic: boolean;
};
export declare type AssetsMap = {
    [filePath: string]: Asset;
};
export {};
//# sourceMappingURL=types.d.ts.map